
QGIS Application - Bug report #10632

Cannot rename connection name (PostGIS, WMS, WFS) in other case

2014-06-18 10:20 AM - dr -

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:2.2.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 19035

Description

Now impossible to rename connection to the same but with characters in other case. For example: "connection" -> "Connection" remains

"connection".

Associated revisions

Revision 5bf316fe - 2015-06-11 11:03 PM - Jürgen Fischer

fix renaming of db/http connections (fixes #10632)

Revision 4050d44e - 2015-06-29 06:53 PM - Jürgen Fischer

fix renaming of db/http connections (fixes #10632)

(cherry picked from commit 5bf316fec6ab3b727e7ed4c97cda2c6cfc52f623)

History

#1 - 2014-06-18 10:45 AM - Antonio Locandro

I don't know if related but I wanted to change users and connection details and would not work unless delete connection and re add, seems it is not

updating the details somewhere

#2 - 2014-06-21 08:53 AM - Jürgen Fischer

- Priority changed from Low to Normal

- Status changed from Open to Feedback

Just tried with a postgres - seems to work fine in "Add PostGIS Table(s)" dialog and in the browser.

#3 - 2014-06-21 08:53 AM - Jürgen Fischer

- Category set to GUI

#4 - 2014-06-21 09:28 AM - dr -

Tried in last master (Ubuntu 12.04):

1. Press "Add PostGIS Layers" button;

2025-05-17 1/2



2. Choose connection from list, "vega" in my case;

3. Press "Edit" button and rename "vega" to "Vega";

4. Dialog window appears "Should the existing connection Vega be overwritten?". It is not clear why "Vega" treated as existing connection while "vega"

connection exists.

5. Press OK, name of connection is not changed.

#5 - 2014-06-21 02:23 PM - Maxim Dubinin

I can confirm on Ubuntu 13.04 and latest master, tried to add PostGIS connection, changing case of the name doesn't have any effect.

Works fine on Win 7.

#6 - 2014-06-28 07:33 AM - Jürgen Fischer

- Status changed from Feedback to Open

#7 - 2015-06-11 02:03 PM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"5bf316fec6ab3b727e7ed4c97cda2c6cfc52f623".

2025-05-17 2/2


